%global _empty_manifest_terminate_build 0
%global pypi_name pdocs

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        1
Summary:        A simple program and library to auto generate API documentation for Python modules.

License:        MIT
URL:            https://github.com/timothycrosley/pdocs
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
Patch1:         0001-change-build-backend-to-poetry-core.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-hatchling
BuildRequires:	python3-virtualenv
BuildRequires:	python3-poetry-core

%description
A simple program and library to auto generate API documentation for Python modules.


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
A simple program and library to auto generate API documentation for Python modules.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE
%{_bindir}/pdocs
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}*.dist-info/

%changelog
* Sun Jun 18 2023 Dongxing Wang <dxwangk@isoftstone.com> - 1.2.0-1
- Initial package
